    001    /* ===========================================================
    002     * JFreeChart : a free chart library for the Java(tm) platform
    003     * ===========================================================
    004     *
    005     * (C) Copyright 2000-2011, by Object Refinery Limited and Contributors.
    006     *
    007     * Project Info:  http://www.jfree.org/jfreechart/index.html
    008     *
    009     * This library is free software; you can redistribute it and/or modify it
    010     * under the terms of the GNU Lesser General Public License as published by
    011     * the Free Software Foundation; either version 2.1 of the License, or
    012     * (at your option) any later version.
    013     *
    014     * This library is distributed in the hope that it will be useful, but
    015     * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
    016     * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
    017     * License for more details.
    018     *
    019     * You should have received a copy of the GNU Lesser General Public
    020     * License along with this library; if not, write to the Free Software
    021     * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
    022     * USA.
    023     *
    024     * [Oracle and Java are registered trademarks of Oracle and/or its affiliates.
    025     * Other names may be trademarks of their respective owners.]
    026     *
    027     * ---------------------
    028     * ChartChangeEvent.java
    029     * ---------------------
    030     * (C) Copyright 2000-2008, by Object Refinery Limited.
    031     *
    032     * Original Author:  David Gilbert (for Object Refinery Limited);
    033     * Contributor(s):   -;
    034     *
    035     * Changes (from 24-Aug-2001)
    036     * --------------------------
    037     * 24-Aug-2001 : Added standard source header. Fixed DOS encoding problem (DG);
    038     * 07-Nov-2001 : Updated header (DG);
    039     *               Change event type names (DG);
    040     * 09-Oct-2002 : Fixed errors reported by Checkstyle (DG);
    041     * 18-Feb-2005 : Changed the type from int to ChartChangeEventType (DG);
    042     *
    043     */
    044
    045    package org.jfree.chart.event;
    046
    047    import java.util.EventObject;
    048
    049    import org.jfree.chart.JFreeChart;
    050
    051    /**
    052     * A change event that encapsulates information about a change to a chart.
    053     */
    054    public class ChartChangeEvent extends EventObject {
    055
    056        /** The type of event. */
    057        private ChartChangeEventType type;
    058
    059        /** The chart that generated the event. */
    060        private JFreeChart chart;
    061
    062        /**
    063         * Creates a new chart change event.
    064         *
    065         * @param source  the source of the event (could be the chart, a title,
    066         *                an axis etc.)
    067         */
    068        public ChartChangeEvent(Object source) {
    069            this(source, null, ChartChangeEventType.GENERAL);
    070        }
    071
    072        /**
    073         * Creates a new chart change event.
    074         *
    075         * @param source  the source of the event (could be the chart, a title, an
    076         *                axis etc.)
    077         * @param chart  the chart that generated the event.
    078         */
    079        public ChartChangeEvent(Object source, JFreeChart chart) {
    080            this(source, chart, ChartChangeEventType.GENERAL);
    081        }
    082
    083        /**
    084         * Creates a new chart change event.
    085         *
    086         * @param source  the source of the event (could be the chart, a title, an
    087                          axis etc.)
    088         * @param chart  the chart that generated the event.
    089         * @param type  the type of event.
    090         */
    091        public ChartChangeEvent(Object source, JFreeChart chart,
    092                                ChartChangeEventType type) {
    093            super(source);
    094            this.chart = chart;
    095            this.type = type;
    096        }
    097
    098        /**
    099         * Returns the chart that generated the change event.
    100         *
    101         * @return The chart that generated the change event.
    102         */
    103        public JFreeChart getChart() {
    104            return this.chart;
    105        }
    106
    107        /**
    108         * Sets the chart that generated the change event.
    109         *
    110         * @param chart  the chart that generated the event.
    111         */
    112        public void setChart(JFreeChart chart) {
    113            this.chart = chart;
    114        }
    115
    116        /**
    117         * Returns the event type.
    118         *
    119         * @return The event type.
    120         */
    121        public ChartChangeEventType getType() {
    122            return this.type;
    123        }
    124
    125        /**
    126         * Sets the event type.
    127         *
    128         * @param type  the event type.
    129         */
    130        public void setType(ChartChangeEventType type) {
    131            this.type = type;
    132        }
    133
    134    }